net.i2p.router

## Interface HandlerJobBuilder

- All Known Implementing Classes:
    DatabaseLookupMessageHandler, DatabaseStoreMessageHandler, FloodfillDatabaseLookupMessageHandler, FloodfillDatabaseStoreMessageHandler, GarlicMessageHandler

      public interface HandlerJobBuilder

  Defines a class that builds jobs to handle a particular message - these builders are registered with the InNetMessagePool for various I2NP message types, allowing immediate queueing of a handler job rather than waiting for a polling job to come pick it up.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Job` | `createJob(I2NPMessage receivedMessage, RouterIdentity from, Hash fromHash)` Create a new job to handle the received message.

- - ### Method Detail

    - #### createJob

          Job createJob(I2NPMessage receivedMessage,
                      RouterIdentity from,
                      Hash fromHash)

      Create a new job to handle the received message.
      Parameters:
        `receivedMessage` - I2NP message received
        `from` - router that sent the message (if available)
        `fromHash` - hash of the routerIdentity of the router that sent the message (if available)
      Returns:
        a job or null if no particular job is appropriate (in which case, the message should go into the inbound message pool)